// JavaScript Document

$(function(){
        var $this = $(".scroll_con");
		var scrollTimer;
		$this.hover(function(){
			  clearInterval(scrollTimer);
		 },function(){
		   scrollTimer = setInterval(function(){
						 scrollNews( $this );
					}, 3000 );
		}).trigger("mouseleave");
});
function scrollNews(obj){
   var $self = obj.find("ul:first"); 
   var lineHeight = $self.find("li:first").height(); //获取行高
   $self.animate({ "marginTop" : -lineHeight +"px" }, 600 , function(){
         $self.css({marginTop:0}).find("li:first").appendTo($self); //appendTo能直接移动元素
   })
}



/*******************************TAB切换***********************************/

function tabSlider(obj,objs,objsn){
	
	//$(obj + ':first').addClass('cata_til_onck');
	//$(objsn + ':first').css('display','block');
	//autoroll();
	hookThumb();
	
	var i=-1;//第i+1个tab开始
		
	function autoroll(){
		nca = $(obj).length-1;
		i++;
		if(i > nca){
		i = 0;
		}
		slide(i);
	}
	
	function slide(i){
		$(obj).eq(i).addClass(objs).siblings().removeClass(objs);
		$(objsn).eq(i).css('display','block').siblings(objsn).css('display','none');
	}
	
	function hookThumb(){    
		$(obj).hover(
		function(){
				i = $(this).prevAll().length;
				slide(i); 
		},function(){
			$(obj).eq(i).removeClass(objs);
		}); 
	}
}


function tabSliderclock(obj,objs,objsn){
	$(function(){
		$(obj + ':first').addClass('cata_til_onck');
		$(objsn + ':first').css('display','block');
		autoroll();
		hookThumb();
	})
	 var i=-1;
		
	function autoroll(){
		nca = $(obj).length-1;
		i++;
		if(i > nca){
		i = 0;
		}
		slide(i);
	}
	
	function slide(i){
		$(obj).eq(i).addClass(objs).siblings().removeClass(objs);
		$(objsn).eq(i).css('display','block').siblings(objsn).css('display','none');
	}
	
	function hookThumb(){    
		$(obj).click(
		function(){
				i = $(this).prevAll().length;
				slide(i); 
		}); 
	}
}
//tab开始
$(document).ready(function(){
	tabSliderclock(".maxtwo_tab a","maxtwo_tabcur",".maxjx_tabcon");
	tabSliderclock(".maxtwony_tab a","maxtwony_tabcur",".maxtwony_con");
	tabSliderclock(".maxtwony_tab2 a","maxtwony_tabcur2",".maxtwony_con2");
	tabSlider("","","");
})

